Subject: problems with rsync --daemon (was: RE: rsync)
From: "Gerrit P. Haase" <[email-masked]>
To: Andreas Stenger <[email-masked]>
Cc: [email-masked]
Date: Sat, 21 Jul 2001 00:36:24 +0200

Andreas Stenger schrieb am 2001-07-10, 5:28:

> $ rsync rsync://localhost
> read error: Connection reset by peer

$ rsync --daemon

Siebenschlaefer@LORELEY /usr/local/bin
$ ps -e
      PID    PPID    PGID     WINPID  TTY  UID    STIME COMMAND
      453       1     453        453    ?   18   Jul  5 /usr/local/bin/ipc-daemon
      340       1     340        340    0  500 23:59:19 /usr/bin/bash
      533       1     533        533    ?  500 00:12:34 /usr/local/bin/rsync
      385     340     385        565    0  500 00:12:38 /usr/bin/ps

1st try:
$ rsync -vazl loreley::bleadperl .

Hi there at Gerrit's rsync server.

Modules are bleadperl, slackware, PLAMP.

read error: Connection reset by peer

2nd try:
$ rsync -vazl rsync://loreley/bleadperl .

Hi there at Gerrit's rsync server.

Modules are bleadperl, slackware, PLAMP.

read error: Connection reset by peer

> All rsync executables described above _do_ work as a client over WAN
> connecting to a physically separate rsync server based on Win NT.
> 
> What my system thinks it is:
> 
> $ uname -a
> CYGWIN_NT-5.0 ANDYS 1.3.2(0.39/3/2) 2001-05-20 23:28 i686 unknown

$ uname -a
CYGWIN_NT-4.0 LORELEY 1.3.2(0.39/3/2) 2001-05-20 23:28 i686 unknown

I got the same behaviour, it is some days ago that i loaded down 
bleadperl sources from my server to my linux-box but it worked, so it 
is not the problem with rsync.

> I got the installer from www.cygwin.com and used the first mirror
> available to download the packages (ftp://planetmirror.com). My "local
> package directory" is a win shared directory and the "install root
> directory" is the default (c:\cygwin). I don't think that this is a
> problem.
> 
> I guess it's either:
> a) the newest cygwin dll

I think so, too.

> b) some other locally installed file that messes up

no

> c) my Win2k installation

no

> d) some access restrictions imposed by win2k on using port numbers lower
> than 1024? I am logged in as a user that belongs to the Administrators
> (win) group, so this should be no problem. d) strange hardware (I am
> running on a IBM Thinkpad 600X) - but I very much doubt this one.

no

> I guess I'll try on another Win2k box and see whether it has the same
> problem.

no need 

> Btw. the link you send me has some pointers to ftp.uni-erlangen.de for
> grabbing the software. Clicking these links crashes my explorer. Went in
> with an ftp client and discovered that there seems to be an online mount
> from ftp.uni-erlangen.de to ftp.franken.de which seems to be broken, so
> I got it from ftp.franken.de directly.

I don't know abut this issue, thanks for the info, i thought that 
everything is physically at uni-erlangen, i checked all the links after 
changing the website to count the hits on every link and it works (that 
was on NT 5 Sp2 (english) with IE6.
Did you send a bug report to Mike? (You will find his address at the 
cygwin website at the frontpage section 'news' -> franken-archives 
moved)

> Thanks for your help anyways.

Thank you for investigating, it seems that there is s.th wrong with 
cygwin... maybe it would help to get the latest snapshot, Corinna had 
checked in a lot of stuff according switching user context wich is/was 
a big problem and isn't solved completely in the latest release.
 
> Cheers!
> 
> Andy
> 
> P.S.: I don't know whether you'd rather mail in German. If you do, no
> problem. I'm a native German speaker. But if others run into the same
> problem having stuff to forward in English is probably better ...
 
Ach so...then i will send this to cygwin list, too and we talk german 
in PM.
 
> -----Original Message-----
> From: Gerrit P. Haase [mailto:[email-masked]]
> Sent: Saturday, July 07, 2001 10:15 AM
> To: Andreas Stenger; [email-masked]
> Subject: Re: rsync
> 
> 
> Andreas Stenger schrieb am 2001-06-28, 6:42:
> 
> > Hi,
> > 
> > I was happy to see the rsync (2.4.6) package being included in the
> > cygwin distribution, but I wasn't able to get the daemon working. The
> > error I get is
> > 
> > $ rsync rsync://localhost
> > read error: Connection reset by peer
> > 
> > the client does work against the older version 2.4.5 (that I guot from
> > a distribution bundled just with a cygwin dll) of the daemon on
> > windows.
> > 
> > Anyone got it to work? Hints? Any help appreciated.
> 
> Hi,
> 
> did yyou solve your problem?
> I use my own build of rsync on WinNT, (though it was
> build on a win98 box!) and i got no problems using 
> the rsync daemon.
> 
> Try if you like, http://www.familiehaase.de/cygwin.html

Last try:
$ chmod -R 777 /ftproot/pub/mirror/bleadperl

$ rsync -vazl rsync://loreley/bleadperl .

Hi there at Gerrit's rsync server.

Modules are bleadperl, slackware, PLAMP.

read error: Connection reset by peer

?

-- 
=^..^=

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/